Ext.define( 'App.model.GroupedEvent', {
    extend: 'Ext.data.Model',
    fields: [
        'HOUR',
        'HOUR_OF_DAY',
        'DAY',
        'DAY_OF_WEEK',
        'WEEK',
        'MONTH',
        'MONTH_OF_YEAR',
        'YEAR',
        'USER',
        'USER_NAME',
        'USER_GROUP',
        'USER_GROUP_NAME',
        'CLIENT',
        'CLIENT_NAME',
        'COMPANY',
        'COMPANY_NAME',
        'NUMBER',
        'SERVICE',
        'DIRECTION',
        'TRUNK',
        'TRUNK_NAME',
        'TAG',
        'TAG_NAME',
        'PBX',
        'PBX_NAME',
        'COUNTRY',
        'COUNTRY_NAME',
        'CLASS',
        'USER_FROM',
        'USER_FROM_NAME',
        'USER_TO',
        'USER_TO_NAME',
        'GROUP_FROM',
        'GROUP_FROM_NAME',
        'GROUP_TO',
        'GROUP_TO_NAME',
        'TOTAL_EVENTS',
        'TOTAL_LOCAL_EVENTS',
        'TOTAL_INCOMING_EVENTS',
        'TOTAL_OUTGOING_EVENTS',
        'TOTAL_ANSWERED_EVENTS',
        'TOTAL_ANSWERED_WITHIN_XX_EVENTS',
        'TOTAL_ANSWERED_OVER_XX_EVENTS',
        'TOTAL_NOT_ANSWERED_EVENTS',
        'TOTAL_CALL_EVENTS',
        'TOTAL_FAX_EVENTS',
        'TOTAL_VOICEMAIL_EVENTS',
        'TOTAL_DURATION',
        'AVG_DURATION',
        'TOTAL_LOCAL_DURATION',
        'AVG_LOCAL_DURATION',
        'TOTAL_INCOMING_DURATION',
        'AVG_INCOMING_DURATION',
        'TOTAL_OUTGOING_DURATION',
        'TOTAL_BILL',
        'AVG_BILL',
        'TOTAL_LOCAL_BILL',
        'AVG_LOCAL_BILL',
        'TOTAL_INCOMING_BILL',
        'AVG_INCOMING_BILL',
        'TOTAL_OUTGOING_BILL',
        'AVG_OUTGOING_BILL',
        'TOTAL_RING',
        'AVG_RING',
        'TOTAL_COST',
        'TOTAL_CALL_COST',
        'TOTAL_FAX_COST',
        'AVG_COST',
        'AVG_CALL_COST',
        'AVG_FAX_COST'
    ],
    proxy: {
        type: 'groupedEvents'
    }
});