Ext.define('App.view.Reports', {
    extend: 'Ext.Container',
    alias : 'widget.reports',
    cls: 'w-reports',
    layout: 'column',
    initComponent: function() {
        this.pickerButton = Ext.create('App.view.viewport.PickerButton', {
            margin: '0 0 0 0',
            width: 140,
            text: _t('Predefined Filters')
        });

        this.items = [
            {
                xtype: 'container',
                cls: 'w-reports-label',
                html: ''
            },
            this.pickerButton,
            {
                xtype: 'viewportButton',
                itemId: 'viewerReportSaveButton',
                width: 140,
                margin: '0 0 0 10',
                text: _t('Save')
            },
            {
                xtype: 'viewerExportButton'
            }
        ]
        
        this.picker = Ext.create('App.view.reports.Picker', {
            target: this.pickerButton
        });

        this.pickerButton.on('click', this.onPickerButtonClick, this);
        this.callParent(arguments);
    },
    onPickerButtonClick: function() {
        this.picker.show();
    }
});
