Ext.define('App.view.bootstrap.ErrorCritical', {
    extend: 'App.view.bootstrap.Notification',
    title: _t('Error'),
    response: '-',
    width: 560,
    afterRender: function() {
        this.callParent(arguments);

        this.descriptionEl = Ext.create('Ext.container.Container', {
            renderTo: this.formEl,
            cls: 'w-boot-description',
            padding: '5 0 0 0',
            renderTpl: [
                '<div class="w-boot-critical">{response}</div>',
                '<div>', 
                sprintf('%(criticalErr)s', { criticalErr : _t('Please <a href="javascript:location.reload(true)">reload</a> the page. If the problem persists contact your system administrator.') }),
                '</div>'
            ],
            renderData: {
                response: this.response
            }
        });
    }
} );
