Ext.define('App.view.bootstrap.ErrorWISNotAppropriateVersion', {
    extend: 'App.view.bootstrap.Notification',
    title: _t('Integration Service'),
    afterRender: function() {
        this.callParent(arguments);

        this.descriptionEl = Ext.create('Ext.container.Container', {
            renderTo: this.formEl,
            cls: 'w-boot-description',
            html: sprintf(
                    _t('New version available. Please install it using <a class="w-boot-link" href="%(url)s">link</a>.'),
                    {url:this.installUrl})
        });
        this.descriptionEl.getEl().first('.w-boot-link').on('click',this.onDownloadStarted);
    },
    onDownloadStarted:function(){
    }
} );
