Ext.define('App.view.filter.field.combo.SimplePicker', {
    extend: 'App.view.filter.field.combo.AbstractPicker',
    initComponent: function() {
        this.listCmp = Ext.create('App.view.filter.field.combo.SimpleList', {
            store: this.store,
            selectedStore: this.selectedStore,
            selectedView: this.selectedView,
            selectionViewConfig: this.selectionViewConfig,
            pickerCmp: this
        });
        
        this.items = [
            this.listCmp
        ]
        
        this.callParent(arguments);
    },
    getPickerHeight: function() {
        var height = 0;
        
        if (this.store.getTotalCount() == 0) {
            height += this.listCmp.getNotifyHeight();
        } else {
            height += this.listCmp.getResultsHeight();
            
            if (height > this.maxResultsHeight) {
                var bodedHeight = Ext.getBody().getHeight() - (this.fieldEl.getTop() + this.fieldEl.getHeight()) - this.getBodyBottomOffet();
                
                if (this.maxResultsHeight < bodedHeight) {
                    height = this.maxResultsHeight;
                } else if(this.minResultsHeight > bodedHeight) {
                    height = this.minResultsHeight;
                } else {
                    height = bodedHeight;
                }
            }
        }
        
        return height;
    }
} );