Ext.define('App.view.Filter', {
    extend: 'Ext.Container',
    alias : 'widget.filter',
    margin: '5 0 0 0',
    layout: 'fit',
    items: [
        {
            xtype: 'form',
            itemId: "filterForm",
            id: 'filter-form',
            frame: true,
            title: _t('Filter'),
            animCollapse: false,
            collapsible: true,
            items: [
                {
                    xtype: 'container',
                    layout: 'column',
                    items: [
                        {
                            xtype: 'container',
                            columnWidth: 0.25,
                            layout: 'anchor',
                            style: 'padding: 5px 5px 0px 5px;',
                            items: [
                                {
                                    xtype: 'filterDestinationField',
                                    itemId: 'filterDestinationField'
                                },
                                {
                                    xtype: 'filterTypesField',
                                    itemId: 'filterTypesField'
                                }
                            ]
                        },
                        {
                            xtype: 'container',
                            columnWidth: 0.25,
                            layout: 'anchor',
                            style: 'padding: 5px 10px 0px 5px;',
                            items: [
                                {
                                    xtype: 'filterCostField',
                                    itemId: 'filterCostField'
                                },
                                {
                                    xtype: 'filterTagsField',
                                    itemId: 'filterTagsField'
                                }
                            ]
                        },
                        {
                            xtype: 'container',
                            columnWidth: 0.25,
                            layout: 'anchor',
                            style: 'padding: 5px 10px 0px 5px;',
                            items: [
                                {
                                    xtype: 'filterBillField',
                                    itemId: 'filterBillField'
                                },
                                {
                                    xtype: 'filterPeriodField',
                                    itemId: 'filterPeriodField'
                                }
                            ]
                        },
                        {
                            xtype: 'container',
                            columnWidth: 0.25,
                            layout: 'anchor',
                            style: 'padding: 5px 5px 0px 5px;',
                            items: [
                                {
                                    xtype: 'filterTrunksField',
                                    itemId: 'filterTrunksField',
                                    disabled: true
                                },
                                {
                                    xtype: 'filterPbxesField',
                                    itemId: 'filterPbxesField',
                                    disabled: true
                                }
                            ]
                        }

                    ]
                }
            ],
            bbar: {
                xtype: 'container',
                height: 37,
                items: [
                    {
                        xtype: 'button',
                        itemId: 'filterResetButton',
                        style: 'margin: 10px 0px 0px 5px; padding: 2px 10px;',
                        text: _t('Reset')
                    },
                    {
                        xtype: 'button',
                        itemId: 'filterApplyButton',
                        style: 'margin: 10px 0px 0px 5px; padding: 2px 10px;',
                        text: _t('Apply')
                    }   
                ]
            }
        }
    ]
});
